 #include<reg51.h>
 sbit P1_0=P1^0;		   //位定义
 void delay(void);		   //延时函数声明
 void main()
 {
       TMOD=0X01;       //定时器0工作在方式1，采用定时方式
	   while(1)
	   {
	      P1_0=0;
		  delay();		 //调用延时子程序
		  P1_0=1;
		  delay();
		}
 }
 /* 延时1秒子程序*/
 void delay()
 {
    unsigned char i;
	for(i=0;i<10;i++)					   //定时器溢出10次
	{
	    TH0=0X3C;						   //定时器0赋初值
		TL0=0X0B0;
		TR0=1;							   //定时器启动
        while(!TF0);					  //等待定时器0溢出
		TF0=0;							   //定时器0溢出，标志位清零
	}
}
